#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	google-crc32c
Version		:	1.1.2
Release		:	17.0.10.rel%{?dist}
Summary		:	CRC32C implementation with support for CPU-specific acceleration instructions

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3-Clause
URL		:	https://github.com/desktop-app/tg_owt

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
This project collects a few CRC32C implementations under
an umbrella that dispatches to a suitable implementation
based on the host computer's hardware capabilities.
CRC32C is specified as the CRC that uses the iSCSI polynomial
in RFC 3720. The polynomial was introduced by G. Castagnoli,
S. Braeuer and M.  Herrmann.
CRC32C is used in software such as Btrfs, ext4, Ceph and leveldb.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_libdir}/lib%{sname}.so.1*

#==============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{srcname}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_includedir}/%{sname}/%{sname}.h
%{_libdir}/cmake/Crc32c/Crc32c*.cmake
%{_libdir}/lib%{sname}.so

#==============================================================================
%prep
%setup -q  -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _bld						\
	-G Ninja					\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D BUILD_SHARED_LIBS=yes			\
	-D CRC32C_BUILD_BENCHMARKS=OFF			\
	-D CRC32C_BUILD_TESTS=OFF 			\
	-D CRC32C_USE_GLOG=OFF				\

cmake							\
	--build _bld					\
	
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#Tests are disabled because the upstream repository doesn't
#include the 'googletest' component
#ctest							\
#	--test _bld					\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
cmake							\
	--install _bld					\

#-----------------------------------------------------------------------------
%changelog
